// -*- C++ -*-
#ifndef _imic_h_included_
#define _imic_h_included_

#include <anthy.h>

class IMConn;
class RxPacket;
class TxPacket;
class Converter;
struct preedit;

class IMIC{
public:
  IMIC(IMConn *conn,int imid,int icid);
  void forward_event(RxPacket *p);
  void trigger_notify(bool );
  void preedit_draw(int );
  void preedit_done();
  void status_draw();
  void status_done();
private:
  void composePreedit(TxPacket *);
  void update_status();
  Converter *mConv;
  int mICid,mIMid;
  IMConn *mConn;
  int mPrevPeLen;
  bool mIsActive;

  void proc_key_event(RxPacket *p);
};

#endif
