/*
  $B8D?M<-=q4IM}MQ$N4X?t72(B
 */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <dic.h>
#include <record.h>
#include <dicutil.h>

static int gIsInit;

/*record$BCf$NF1$8(Bindex$B$NCf$N2?HVL\$+$iCM$r<h$j=P$9$+(B*/
static int gOffset;

void dic_util_init()
{
  if ( gIsInit ){
    return ;
  }
  if ( init_anthy_dic() == -1 ){
    return ;
  }
  dic_set_personality("");
  gIsInit = 1;
}

void dic_util_set_personality(char *id)
{
  dic_set_personality(id);
}

void priv_dic_delete()
{
  if ( select_section("PRIVATEDIC",0) == -1 ){
    return ;
  }
  release_section();
}

int priv_dic_select_first_entry()
{
  if ( select_section("PRIVATEDIC",0) == -1 ){
    return -1;
  }
  gOffset = 0;
  return select_first_column();
}

int priv_dic_select_next_entry()
{
  int nr = get_nr_values();
  if ( nr >= gOffset + 3 ){
    gOffset += 3;
    return 0;
  }
  gOffset = 0;
  return select_next_column();
}

int priv_dic_select_entry(char *index)
{
  return 0;
}

char *priv_dic_get_index(char *buf,int len)
{
  xstr *xs;
  xs = get_index_xstr();
  if ( ! xs ){
    return 0;
  }
  if ( snputxstr(buf,len,xs) == len ){
    return 0;
  }
  return buf;
}

int priv_dic_get_freq()
{
  return get_nth_value(gOffset + 2);
}

char *priv_dic_get_wtype(char *buf,int len)
{
  xstr *xs = get_nth_xstr(gOffset+1);
  if ( ! xs ){
    return 0;
  }
  if ( snputxstr(buf,len,xs) == len ){
    return 0;
  }
  return buf;
}

char *priv_dic_get_word(char *buf,int len)
{
  return "";
}
